# TODO:
# - system boxfort (when released): https://github.com/diacritic/BoxFort
# - system libcsptr (when some post-2017 release made): https://github.com/Snaipe/libcsptr
#
# Conditional build:
%bcond_without	tests		# build without tests
#
Summary:	A cross-platform C and C++ unit testing framework for the 21th century
Summary(pl.UTF-8):	Wieloplatformowy szkielet do testów jednostkowych dla C i C++ w XXI wieku
Name:		criterion
Version:	2.4.1
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/Snaipe/Criterion/releases
Source0:	https://github.com/Snaipe/Criterion/releases/download/v%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	93e91812837a68524d76339409ed2008
Patch0:		x32.patch
URL:		https://github.com/Snaipe/Criterion
BuildRequires:	dyncall >= 1.0
BuildRequires:	libffi-devel
BuildRequires:	libgit2-devel
BuildRequires:	meson >= 0.51.0
BuildRequires:	nanomsg-devel >= 1.0.0
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A dead-simple, yet extensible, C and C++ unit testing framework.

%description -l pl.UTF-8
Bardzo prosty, ale rozszerzalny szkielet testów jednostkowych dla C i
C++.

%package devel
Summary:	Header files for criterion library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki criterion
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for criterion library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki criterion.

%prep
%setup -q
%patch0 -p1

%build
%meson build \
	-Dtests=%{__true_false tests}

%ninja_build -C build
%{?with_tests:%ninja_test -C build}

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang criterion

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f criterion.lang
%defattr(644,root,root,755)
%doc ChangeLog doc/*.txt
%attr(755,root,root) %{_libdir}/libcriterion.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcriterion.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcriterion.so
%{_includedir}/criterion
%{_pkgconfigdir}/criterion.pc
%changelog
* Sun Nov 20 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/criterion.git;a=log;h=master

* Sun Nov 20 2022 Jan Palus <atler@pld-linux.org> 2d82a57
- drop debug leftover

* Sun Nov 20 2022 Jan Palus <atler@pld-linux.org> 2371444
- up to 2.4.1

* Wed May 06 2020 Jan Rękorajski <baggins@pld-linux.org> 286f290
- fix miscompiled library on x32
- added tests
- rel 5

* Wed May 06 2020 Jan Rękorajski <baggins@pld-linux.org> 5d023ef
- cram tests fail due to missing, unchecked dependencies

* Fri May 01 2020 Jan Rękorajski <baggins@pld-linux.org> ca1ee7b
- release 4 (by relup.sh)

* Wed Apr 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 6e47062
- added libdir patch (fix library install and .pc file)
- use system dyncall and nanomsg libraries
- release 3

* Fri Sep 20 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> aa7e236
- rel 2; fix i686 build

* Fri Sep 20 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 87c0520
- initial

